<?php
class AppController extends Controller {
	var $components = array('Auth', 'Session', 'RequestHandler');
	var $helpers = array('Html','Form','Javascript','Xml');
	var $uses = array('Tag', 'Area', 'Cuisine', 'Restaurant');
	var $me = null;
	var $testing = false;
	var $iphone = false;

    function beforeFilter() {
	# auth stuff
		$this->Auth->fields = array(
			'username' => 'email', 
			'password' => 'password'
		);
		$this->Auth->authError = array('controller' => 'users', 'action' => 'login');		
		$this->Auth->autoRedirect = false;
		
	# set the user for controllers and views
		$this->me = $this->Auth->user();	
		$this->set('me', $this->me);

	# define an admin layout
		if (isset($this->params[Configure::read('Routing.admin')])) {
			$this->layout = 'admin';

			if(isset($this->{$this->modelClass}->admin_validate)) :
				$this->{$this->modelClass}->validate = $this->{$this->modelClass}->admin_validate;
			endif;
		}		
	
	# default redirect if you are not admin and are trying to access an admin page
		if(isset($this->params['prefix'])) :
			if(($this->params['prefix'] == Configure::read('Routing.admin')) && (!$this->me['User']['admin'])) :
				# use an auth option here, like where to redirect on fail
				$this->redirect('/');
			endif;
		endif;
		
		$this->set('search_content', '');
		
	# pull stuff for browsing

		$this->Cuisine->recursive = -1;
		$cuisines = $this->Cuisine->weights();				
		$this->set('cuisines', $cuisines);	

		$this->Area->recursive = -1;
		$areas = $this->Area->weights();		
		$this->set('areas', $areas);
					
		$this->Tag->recursive = -1;
		$tags = $this->Tag->weights();
		$this->set('tags', $tags);	
		
	# check for testing
		if($_SERVER['REMOTE_ADDR'] == '24.125.205.168') : 
			$this->testing = true;
			$this->set('testing', true);
		endif;
		
		$this->Restaurant->contain();
		$renewalRestaurants = $this->Restaurant->find('count', array(
			'conditions' => array(
				'NOW() > (INTERVAL 11 Month + Restaurant.upgraded)' 
			) 
		));	
		
		$this->set('renewalRestaurants', $renewalRestaurants);
    }

	function beforeRender() {
		if($this->detectiPhone()) {
			$this->set('iphone', true);
			$this->iphone = true;
			$this->layout = "iphone";		
			//$this->layout = "iphone";
			//$this->params['action'] = $this->params['action'] . "_iphone";
		} else {
			$this->iphone = false;
			$this->set('iphone', false);
		}
	}
	
	protected function detectiPhone() {
		//return strpos($_SERVER['HTTP_USER_AGENT'],"iPhone");
		$container = '';
		if(isset($_SERVER['HTTP_USER_AGENT'])) :
		$container = $_SERVER['HTTP_USER_AGENT'];
		endif;
		//print_r($container); //this prints out the user agent array. uncomment to see it shown on page.
		$useragents = array (
			"iPhone","iPod", "Android");
		$this->iphone = false;
		foreach ( $useragents as $useragent ) {
			if (eregi($useragent,$container)){
				$this->iphone = true;
			}
		}
		return $this->iphone;
	}	

}
?>