<?php
/* SVN FILE: $Id: routes.php 6311 2008-01-02 06:33:52Z phpnut $ */
/**
 * Short description for file.
 *
 * In this file, you set up routes to your controllers and their actions.
 * Routes are very important mechanism that allows you to freely connect
 * different urls to chosen controllers and their actions (functions).
 *
 * PHP versions 4 and 5
 *
 * CakePHP(tm) :  Rapid Development Framework <http://www.cakephp.org/>
 * Copyright 2005-2008, Cake Software Foundation, Inc.
 *								1785 E. Sahara Avenue, Suite 490-204
 *								Las Vegas, Nevada 89104
 *
 * Licensed under The MIT License
 * Redistributions of files must retain the above copyright notice.
 *
 * @filesource
 * @copyright		Copyright 2005-2008, Cake Software Foundation, Inc.
 * @link				http://www.cakefoundation.org/projects/info/cakephp CakePHP(tm) Project
 * @package			cake
 * @subpackage		cake.app.config
 * @since			CakePHP(tm) v 0.2.9
 * @version			$Revision: 6311 $
 * @modifiedby		$LastChangedBy: phpnut $
 * @lastmodified	$Date: 2008-01-02 00:33:52 -0600 (Wed, 02 Jan 2008) $
 * @license			http://www.opensource.org/licenses/mit-license.php The MIT License
 */
/**
 * Here, we are connecting '/' (base path) to controller called 'Pages',
 * its action called 'display', and we pass a param to select the view file
 * to use (in this case, /app/views/pages/home.thtml)...
 */
	Router::connect('/', array('controller' => 'restaurants', 'action' => 'home'));
/**
 * ...and connect the rest of 'Pages' controller's urls.
 */
	Router::connect('/pages/*', array('controller' => 'pages', 'action' => 'display'));
	// Router::connect('/restaurants/*', array('controller' => 'restaurants', 'action' => 'view'));
/**
 * Then we connect url '/test' to our test controller. This is helpfull in
 * developement.
 */
	//Router::connect('/tests', array('controller' => 'tests', 'action' => 'index'));
	//Router::connect('/signup', array('controller' => 'pages', 'action' => 'display', 'signup'));
	

	Router::connect('/users/:action/*', array('controller' => 'users'));
	Router::connect('/admin/users/:action/*', array('controller' => 'users', 'admin' => true));	

	Router::connect('/admin/cuisines/:action/*', array('controller' => 'cuisines', 'admin' => true));	
	
	Router::connect('/admin/areas/:action/*', array('controller' => 'areas', 'admin' => true));		
	
	Router::connect('/admin/tags/:action/*', array('controller' => 'tags', 'admin' => true));			
	
	Router::connect('/menus/:action/*', array('controller' => 'menus'));				
	Router::connect('/admin/menus/:action/*', array('controller' => 'menus', 'admin' => true));	
	
	Router::connect('/pictures/:action/*', array('controller' => 'pictures'));				
	Router::connect('/admin/pictures/:action/*', array('controller' => 'pictures', 'admin' => true));				
	
	Router::connect('/reviews/:action/*', array('controller' => 'reviews'));				
	Router::connect('/admin/reviews/:action/*', array('controller' => 'reviews', 'admin' => true));	
	
	Router::connect('/search/:action/*', array('controller' => 'search'));	
	Router::connect('/admin/search/:action/*', array('controller' => 'search', 'admin' => true));		

	Router::connect('/restaurants/:action/*', array('controller' => 'restaurants'));
	Router::connect('/admin/restaurants/:action/*', array('controller' => 'restaurants', 'admin' => true));		

	Router::connect('/admin', array('controller' => 'dashboard', 'action' => 'index', 'admin' => true));					

	Router::connect('/*', array('controller' => 'restaurants', 'action' => 'view'));	
	
  /**
  * Add in support for web services by enabling generating output based on extension
  */
	  Router::parseExtensions('xml', 'json', 'xml'); 
?>