# Sequel Pro dump
# Version 663
# http://code.google.com/p/sequel-pro
#
# Host: localhost (MySQL 5.0.51b)
# Database: rvaeats
# Generation Time: 2009-07-01 09:13:36 -0400
# ************************************************************

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table areas
# ------------------------------------------------------------

DROP TABLE IF EXISTS `areas`;

CREATE TABLE `areas` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `slug` varchar(100) default NULL,
  `description` text,
  `lat` varchar(10) default NULL,
  `lon` varchar(10) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=5 DEFAULT CHARSET=latin1;

LOCK TABLES `areas` WRITE;
/*!40000 ALTER TABLE `areas` DISABLE KEYS */;
INSERT INTO `areas` (`id`,`name`,`slug`,`description`,`lat`,`lon`)
VALUES
	(1,'The Fan','the-fan',NULL,'',''),
	(2,'West of the Boulevard','west-of-the-boulevard',NULL,'',''),
	(3,'Chesterfield','chesterfield',NULL,'37.505368','-77.572403'),
	(4,'River District','river-district',NULL,'37.553152','-77.458248');

/*!40000 ALTER TABLE `areas` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table comments
# ------------------------------------------------------------

DROP TABLE IF EXISTS `comments`;

CREATE TABLE `comments` (
  `id` int(11) NOT NULL auto_increment,
  `restaurant_id` int(11) default NULL,
  `author_name` varchar(100) default NULL,
  `author_email` varchar(100) default NULL,
  `author_url` varchar(100) default NULL,
  `comment` text,
  `created` datetime default NULL,
  `modified` datetime default NULL,
  `spam` tinyint(1) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;



# Dump of table hours
# ------------------------------------------------------------

DROP TABLE IF EXISTS `hours`;

CREATE TABLE `hours` (
  `id` int(11) NOT NULL auto_increment,
  `restaurant_id` int(11) default NULL,
  `day` varchar(20) default NULL,
  `open` varchar(5) default NULL,
  `close` varchar(5) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

LOCK TABLES `hours` WRITE;
/*!40000 ALTER TABLE `hours` DISABLE KEYS */;
INSERT INTO `hours` (`id`,`restaurant_id`,`day`,`open`,`close`)
VALUES
	(1,1,'Monday','11','2'),
	(2,1,'Tuesday','11','2'),
	(3,1,'Wednesday','11','2'),
	(4,1,'Thursday','11','2'),
	(5,1,'Friday','11','2'),
	(6,1,'Saturday','18','2'),
	(7,1,'Monday','11','Close');

/*!40000 ALTER TABLE `hours` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table packages
# ------------------------------------------------------------

DROP TABLE IF EXISTS `packages`;

CREATE TABLE `packages` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(200) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

LOCK TABLES `packages` WRITE;
/*!40000 ALTER TABLE `packages` DISABLE KEYS */;
INSERT INTO `packages` (`id`,`name`)
VALUES
	(1,'Appetizer'),
	(2,'1st Course'),
	(3,'2nd Course');

/*!40000 ALTER TABLE `packages` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table pictures
# ------------------------------------------------------------

DROP TABLE IF EXISTS `pictures`;

CREATE TABLE `pictures` (
  `id` int(11) NOT NULL auto_increment,
  `restaurant_id` int(11) default NULL,
  `caption` varchar(200) default NULL,
  `created` datetime default NULL,
  `modified` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

LOCK TABLES `pictures` WRITE;
/*!40000 ALTER TABLE `pictures` DISABLE KEYS */;
INSERT INTO `pictures` (`id`,`restaurant_id`,`caption`,`created`,`modified`)
VALUES
	(2,1,'Test','2008-03-01 12:59:43','2008-03-01 12:59:43'),
	(3,1,'Second test','2008-03-01 12:59:57','2008-03-01 12:59:57');

/*!40000 ALTER TABLE `pictures` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table restaurants
# ------------------------------------------------------------

DROP TABLE IF EXISTS `restaurants`;

CREATE TABLE `restaurants` (
  `id` int(11) NOT NULL auto_increment,
  `package_id` int(11) NOT NULL default '1',
  `area_id` int(11) NOT NULL default '0',
  `name` varchar(100) default NULL,
  `street` varchar(100) default NULL,
  `city` varchar(100) default NULL,
  `state` char(2) default NULL,
  `zip` varchar(5) default NULL,
  `lat` varchar(20) default NULL,
  `lon` varchar(20) default NULL,
  `phone` varchar(20) default NULL,
  `email` varchar(100) default NULL,
  `website` varchar(200) default NULL,
  `description` text,
  `vegetarian` tinyint(1) NOT NULL default '0',
  `vegan` tinyint(1) NOT NULL default '0',
  `no_smoking` tinyint(1) NOT NULL default '0',
  `lunch_average` varchar(10) default NULL,
  `dinner_average` varchar(10) default NULL,
  `slug` varchar(100) default NULL,
  `username` varchar(100) default NULL,
  `password` varchar(100) default NULL,
  `created` datetime default NULL,
  `modifed` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=17 DEFAULT CHARSET=latin1;

LOCK TABLES `restaurants` WRITE;
/*!40000 ALTER TABLE `restaurants` DISABLE KEYS */;
INSERT INTO `restaurants` (`id`,`package_id`,`area_id`,`name`,`street`,`city`,`state`,`zip`,`lat`,`lon`,`phone`,`email`,`website`,`description`,`vegetarian`,`vegan`,`no_smoking`,`lunch_average`,`dinner_average`,`slug`,`username`,`password`,`created`,`modifed`)
VALUES
	(1,3,1,'Cous Cous','900 W. Franklin St.','Richmond','VA','23220','37.549046','-77.452105','804.358.0868','','couscous900.com','Our motto is food, making the very best preparation with the finest ingredients. Using the very best ingredients combined with traditional Mediterranean preparation techniques makes the Cous Cous menu truly unique.',1,1,0,'8','15','cous-cous','cousCous','','2008-02-16 13:03:04','2008-02-16 13:50:00'),
	(2,3,1,'Ipanema Cafe','917 W Grace St.','Richmond','VA','23220','37.550192','-77.451725','804-213-0190','ipanemacafe@comcast.net','ipanemaveg.com','A comfortable, funky spot where both the tragically hip and the hopelessly uncool can leave carnivorous temptations at the door and forage instead in the great green world of vegetables',1,1,0,'7.00','12.00','ipanema-cafe','ipanema','','2008-02-18 12:28:58','2008-02-18 13:27:00'),
	(4,3,1,'Sticky Rice','2232 W Main St','Richmond','VA','23220','37.55029','-77.468748','804-358-7870','','stickyricefan.com','Sticky Rice is truly unqiue. The funnest sushi bar this side of the Mason Dixon. With its charming atmosphere and bad attitude you wont find anything quite like it. Our specialty is our fresh sushi bar, with rolls like g.i.jane, shiitake happens and godzilla how could you go wrong. Our huge bowls of noodles will satisfy big and small. We also feature a kids menu. And on thursdays kids under 12 eat for free! Also our menu has sandwiches, large salads and full entrees. Dont forget the (soon to be famous) bucket of tater tots with our special tater tot sauce. Sticky Rice established last century has been rolling on and on.',1,1,0,'5.00','10.00','sticky-rice','stickyrice','5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8','2008-03-01 07:10:51',NULL),
	(5,3,1,'Sticky ToGoGo','2227 W Main Street','Richmond','VA','23220','37.550263','-77.468674',' 804-358-2633','info@stickyricefan.com','stickyricefan.com','Sticky Rice is truly unqiue. The funnest sushi bar this side of the Mason Dixon. With its charming atmosphere and bad attitude you wont find anything quite like it. Our specialty is our fresh sushi bar, with rolls like g.i.jane, shiitake happens and godzilla how could you go wrong. Our huge bowls of noodles will satisfy big and small. We also feature a kids menu. And on thursdays kids under 12 eat for free! Also our menu has sandwiches, large salads and full entrees. Dont forget the (soon to be famous) bucket of tater tots with our special tater tot sauce. Sticky Rice established last century has been rolling on and on.',1,1,0,'8.00','15.00','sticky-togogo','stickyricegogo','5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8','2008-03-01 07:17:54',NULL),
	(6,3,3,'La Siesta','9900 Midlothian Turnpike','Richmond','VA','23236','37.505101','-77.578212','804-272-7333','george@lasiestarestaurant.com','lasiestarestaurant.com','he Zajur Family invites you to La Siesta for fine Mexican cuisine and traditional family hospitality spanning over 30 years.\r\n\r\nAll meals are prepared the old fashioned way, with an emphasis on fresh ingredients and authenticity. Taste our delicious home-made salsas (also available at local groceries), shop in our Mexican gift shop, or enjoy our festive lounge before or after dinner.\r\n\r\nIt is not a surprise that La Siesta was voted \"Best in Richmond\" by Richmond Magazine for ten years and was recognized as one of the best Mexican restaurants in the U.S.',0,0,0,'5.00','10.00','la-siesta','lasiesta','5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8','2008-03-01 07:27:29',NULL),
	(14,3,1,'Racine','304 North Robinson St','Richmond','VA','23220','37.555337','-77.471378','804-340-2884','racinerva@live.com','','We specialize in delicious and reasonably priced cuisine, including our house specialties and other customer favorites. Our cuisine entrees are served in a relaxed and welcoming setting that you and your friends and family are sure to enjoy. Whether you are in the mood to indulge in something new or just want to enjoy some old favorites, we promise that our inventive menu and attentive service will leave you truly satisfied. No matter what your occasion calls for or your appetite demands, the friendly staff at Racine promise to make your next dining experience a pleasant one. ',0,0,0,'7','12','racine','racine','5baa61e4c9b93f3f0682250b6cf8331b7ee68fd8','2008-03-15 08:54:57',NULL),
	(15,1,1,'Elephant Thai Restaurant','1100 W. Cary St.','Richmond','VA','23220','37.544521','-77.455849','804.354.6263','','http://elephantthais.com','Thai foods, friendly service, reasonable price. We now have two locations, visit our second location at:\r\n\r\n5230 Oaklawn Blvd.\r\nTel. 804-458-2885',1,1,0,'7','9','elephant-thai-restaurant','','da39a3ee5e6b4b0d3255bfef95601890afd80709','2008-04-16 09:17:12',NULL),
	(16,1,1,'Mulligan\'s Sports Grille','1323 W. Main St.','Richmond','VA','23220','37.546413','-77.45798','804.254.8365','mulligansfan@msn.com','','Voted Richmond\'s Best Sports Bar, Mulligans offers an extensive menu, outdoor dining, pool and ping pong tables, games, and over 60 televisions and Karaoke. Located in the Historic Fan Uptown District',0,0,0,'7','12','mulligan-s-sports-grille','','da39a3ee5e6b4b0d3255bfef95601890afd80709','2008-04-16 09:24:41',NULL);

/*!40000 ALTER TABLE `restaurants` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table restaurants_tags
# ------------------------------------------------------------

DROP TABLE IF EXISTS `restaurants_tags`;

CREATE TABLE `restaurants_tags` (
  `id` int(11) NOT NULL auto_increment,
  `restaurant_id` int(11) default NULL,
  `tag_id` int(11) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=71 DEFAULT CHARSET=latin1;

LOCK TABLES `restaurants_tags` WRITE;
/*!40000 ALTER TABLE `restaurants_tags` DISABLE KEYS */;
INSERT INTO `restaurants_tags` (`id`,`restaurant_id`,`tag_id`)
VALUES
	(53,2,10),
	(51,1,2),
	(50,1,1),
	(70,16,19),
	(54,4,1),
	(48,5,1),
	(47,6,5),
	(66,16,14),
	(69,16,18),
	(56,14,14),
	(64,15,15),
	(63,15,9),
	(62,15,1),
	(52,2,1),
	(49,5,13),
	(55,4,13),
	(68,16,17),
	(67,16,16);

/*!40000 ALTER TABLE `restaurants_tags` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table reviews
# ------------------------------------------------------------

DROP TABLE IF EXISTS `reviews`;

CREATE TABLE `reviews` (
  `id` int(11) NOT NULL auto_increment,
  `restaurant_id` int(11) default NULL,
  `title` varchar(200) NOT NULL default '',
  `url` varchar(200) default NULL,
  `date` datetime default NULL,
  `source_name` varchar(60) default NULL,
  `source_url` varchar(200) NOT NULL default '',
  `preferred` tinyint(1) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=latin1;

LOCK TABLES `reviews` WRITE;
/*!40000 ALTER TABLE `reviews` DISABLE KEYS */;
INSERT INTO `reviews` (`id`,`restaurant_id`,`title`,`url`,`date`,`source_name`,`source_url`,`preferred`)
VALUES
	(1,1,'','http://haduken.com','2008-02-18 13:48:00','Haduken','',0);

/*!40000 ALTER TABLE `reviews` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table tags
# ------------------------------------------------------------

DROP TABLE IF EXISTS `tags`;

CREATE TABLE `tags` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) default NULL,
  `cuisine` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=20 DEFAULT CHARSET=latin1;

LOCK TABLES `tags` WRITE;
/*!40000 ALTER TABLE `tags` DISABLE KEYS */;
INSERT INTO `tags` (`id`,`name`,`cuisine`)
VALUES
	(1,'vegetarian',0),
	(2,'mediterranean',0),
	(4,'carytown',0),
	(5,'mexican',1),
	(6,'soup',0),
	(7,'mediterranean',1),
	(8,'cafe',0),
	(9,'thai',1),
	(10,'cafe',0),
	(13,'sushi',1),
	(12,'italian',1),
	(14,'American',1),
	(15,'VCU',0),
	(16,'sports bar',0),
	(17,'outdoor',0),
	(18,'uptown',0),
	(19,'karaoke',0);

/*!40000 ALTER TABLE `tags` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `users`;

CREATE TABLE `users` (
  `id` int(11) NOT NULL auto_increment,
  `first_name` varchar(100) default NULL,
  `last_name` varchar(100) default NULL,
  `name` varchar(200) default NULL,
  `email` varchar(100) default NULL,
  `password` varchar(100) default NULL,
  `admin` tinyint(1) NOT NULL default '0',
  `created` datetime default NULL,
  `modified` datetime default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` (`id`,`first_name`,`last_name`,`name`,`email`,`password`,`admin`,`created`,`modified`)
VALUES
	(1,'Daniel','Farrell','Daniel Farrell','daniel@farrellit.com','20a4ebc7aaf06b98091dec80ab28e72784015835',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(2,'Ross','Catrow','Ross Catrow','ross@pharrout.com','fbb26a620528a062ba43ccb4bb5e71c714df8e5e',1,'0000-00-00 00:00:00','0000-00-00 00:00:00'),
	(3,'Scott','Pharr','Scott Pharr','scott@pharrout.com','2c14b445a3036835c17869b51300ce649e7c5331',1,'2008-02-29 13:40:01','2008-02-29 13:40:01');

/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;





/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
