<?php
class AreasController extends AppController {

	var $name = 'Areas';
	var $components = array('RequestHandler');	
	var $helpers = array('Html', 'Form', 'Text');
	
	function beforeFilter() {
		parent::beforeFilter();	
		$this->Auth->allow('*');
	} // beforeFilter	

	function index() {
		$this->Area->recursive = 0;
		$this->set('areas', $this->paginate());
	}

	function view($slug = null) {
		if (!$slug) {
			$this->flash(__('Invalid Area', true), array('action'=>'index'));
		}

		#find the restaurants
		$restaurants = $this->Area->Restaurant->find('area', array('area' => $slug));
		$ids = Set::extract($restaurants, '{n}.Restaurant.id');
		
		# set the where condition
		$str = 'Restaurant.id = null';
		if(sizeof($ids)) :
			$ids = implode(', ', $ids);
			$str = 'Restaurant.id IN (' . $ids . ')';
		endif;		
			
		$this->set('restaurants', $this->paginate('Restaurant', $str)); 			
		$this->set('area', $this->Area->findBySlug($slug));				
	}

	function admin_index() {
		$this->Area->recursive = 0;
		$this->set('areas', $this->paginate());
	}

	function admin_view($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Area', true), array('action'=>'index'));
		}
		$this->set('area', $this->Area->read(null, $id));
	}

	function admin_add() {
		if (!empty($this->data)) {
			$this->Area->create();
			if ($this->Area->save($this->data)) {
				$this->Session->setflash('Area saved.', true, array('class' => 'success'));
				$this->redirect(array('action' => 'index', 'admin' => true));
			} else {
			}
		}
	}

	function admin_edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->Session->setFlash('Invalid Area', true, array('class' => 'error'));
			$this->redirect($this->referer());			
			exit();
		}
		if (!empty($this->data)) {
			if ($this->Area->save($this->data)) {
				$this->Session->setFlash('The Area has been saved.', true, array('class' => 'success'));
				$this->redirect($this->referer());				
				exit();
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Area->read(null, $id);
		}
	}

	function admin_delete($id = null) {
		if (!$id) {
			$this->Session->setflash('Invalid Area', true, array('class' => 'error'));
		}
		if ($this->Area->del($id)) {
			$this->Session->setflash('Area deleted', true, array('class' => 'success'));
			$this->redirect($this->referer());				
		}
	}

}
?>