<?php
class PicturesController extends AppController {

	var $name = 'Pictures';
	var $helpers = array('Html', 'Form');
	var $components = array('Image');
	
	function beforeFilter() {
		parent::beforeFilter();	
		$this->Auth->allow('*');
	} // beforeFilter	

/*
	function index() {
		$this->Picture->recursive = 0;
		$this->set('Pictures', $this->paginate());
	}

	function view($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Picture', true), array('action'=>'index'));
		}
		$this->set('Picture', $this->Picture->read(null, $id));
	}
*/ 
	function add($id = null) {
		if (!$id) {
			$this->Session->setFlash(__('Invalid Restaurant', true));
			$this->redirect($this->referer());
		}
		
		if(($id != $this->me['User']['restaurant_id']) && !$this->me['User']['admin']) :
			$this->Session->setFlash('You may not edit restaurants other than your own.', true);
			$this->redirect(array('controller' => 'pages', 'action' => 'display', 'home'));
		endif;
		
		$this->Restaurant->recursive = -1;
		$restaurant = $this->Restaurant->read(null, $id);
		
		if (!empty($this->data)) {
			$conditions[] = 'restaurant_id = ' . $restaurant['Restaurant']['id'];
			$this->Picture->recursive = -1;
			$oldPic = $this->Picture->find('first', array('conditions' => $conditions));
			
			if(exif_imagetype($this->data['Picture']['file']['tmp_name']) != ''){
				$this->Picture->create();
				if($this->Picture->save($this->data)) {
					$im = $this->imagecreatefrom($this->data['Picture']['file']);
					$max_height = 250;
					$max_width = 200;
					//$thumb_size = 240;
					$exif = exif_read_data($this->data['Picture']['file']['tmp_name'], 'IFD0');
					$rotation = $exif['Orientation'];
					if ($rotation){
						$im = $this->Image->rotate($im, $rotation);						
					}
					$im_resized = $this->Image->resize($im, $max_height, $max_width);
					//$thumb = $this->Image->thumbnail($im, $thumb_size);
					imagejpeg($im_resized, WWW_ROOT . "/img/pictures/" . $this->Picture->id . ".jpg");
					//imagejpeg($thumb, "/home/rvaeats/public_html/app/webroot/img/pictures/" . $this->Picture->id . "_thumb.jpg");
					imagedestroy($im);
					imagedestroy($im_resized);
					//imagedestroy($thumb);
	
					if(isset($oldPic['Picture']['id'])) :
						$this->Picture->delete($oldPic['Picture']['id']);
					endif;
	
					$this->Session->setFlash('Your picture has been uploaded successfully.', true, array('class' => 'success'));
					$this->redirect($this->referer());
					exit();
				}
			}
		}
		
		$this->Picture->recursive = -1;
		$currentPicture = $this->Picture->find('first', array('conditions' => 'Picture.restaurant_id = ' . $restaurant['Restaurant']['id']));
		$this->set('currentPicture', $currentPicture);
		$this->set('no_search', true);
		$this->set('restaurant_id', $restaurant['Restaurant']['id']);
	}

/*
	function add() {
		if (!empty($this->data)) {
			$this->Picture->create();
			if ($this->Picture->save($this->data)) {
				$this->flash(__('Picture saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		$restaurants = $this->Picture->Restaurant->find('list');
		$this->set(compact('restaurants'));
	}

	function edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->flash(__('Invalid Picture', true), array('action'=>'index'));
			exit();
		}
		if (!empty($this->data)) {
			if ($this->Picture->save($this->data)) {
				$this->flash(__('The Picture has been saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Picture->read(null, $id);
		}
		$restaurants = $this->Picture->Restaurant->find('list');
		$this->set(compact('restaurants'));
	}

	function delete($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Picture', true), array('action'=>'index'));
		}
		if ($this->Picture->del($id)) {
			$this->flash(__('Picture deleted', true), array('action'=>'index'));
		}
	}
	*/


	function admin_index() {
		$this->Picture->recursive = 0;
		$this->set('pictures', $this->paginate());
	}

	function admin_view($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Picture', true), array('action'=>'index'));
		}
		$this->set('picture', $this->Picture->read(null, $id));
	}

	function admin_add() {
		
		if (!empty($this->data)) {
			$conditions[] = 'restaurant_id = ' . $this->data['Picture']['restaurant_id'];
			$this->Picture->recursive = -1;
			$oldPic = $this->Picture->find('first', array('conditions' => $conditions));
			
			if(exif_imagetype($this->data['Picture']['file']['tmp_name']) != ''){
				$this->Picture->create();
				if($this->Picture->save($this->data)) {
					$im = $this->imagecreatefrom($this->data['Picture']['file']);
					$max_height = 250;
					$max_width = 200;
					//$thumb_size = 240;
					$exif = exif_read_data($this->data['Picture']['file']['tmp_name'], 'IFD0');
					$rotation = $exif['Orientation'];
					if ($rotation){
						$im = $this->Image->rotate($im, $rotation);						
					}
					$im_resized = $this->Image->resize($im, $max_height, $max_width);
					//$thumb = $this->Image->thumbnail($im, $thumb_size);
					imagejpeg($im_resized, WWW_ROOT . "/img/pictures/" . $this->Picture->id . ".jpg");
					//imagejpeg($thumb, "/home/rvaeats/public_html/app/webroot/img/pictures/" . $this->Picture->id . "_thumb.jpg");
					imagedestroy($im);
					imagedestroy($im_resized);
					//imagedestroy($thumb);

					if(isset($oldPic['Picture']['id'])) :
						$this->Picture->delete($oldPic['Picture']['id']);
					endif;

					$this->Session->setFlash('Picture uploaded successfully.', true, array('class' => 'success'));
					$this->redirect($this->referer());
					exit();
				}
			}
		}
		$restaurants = $this->Picture->Restaurant->find('list');
		$this->set(compact('restaurants'));
	}

	function admin_edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->flash(__('Invalid Picture', true), array('action'=>'index'));
			exit();
		}
		if (!empty($this->data)) {
			if ($this->Picture->save($this->data)) {
				$this->flash(__('The Picture has been saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Picture->read(null, $id);
		}
		$restaurants = $this->Picture->Restaurant->find('list');
		$this->set(compact('restaurants'));
	}

	function admin_delete($id = null) {
		if (!$id) {
			$this->Session->setflash('Invalid Picture', true, array('class' => 'error'));
			$this->redirect($this->referer());	
		}
		if ($this->Picture->del($id)) {
			$this->Session->setflash('Picture deleted', true, array('class' => 'success'));
			$this->redirect($this->referer());
		}
	}
	
	function imagecreatefrom($pic) {
		$ext = $this->getExtension($pic['type']);
		switch ($ext) :
			case 'gif' :
				$im = imagecreatefromgif($pic['tmp_name']);
			break;

			case 'jpeg' :

			case 'pjpeg' :
				$im = imagecreatefromjpeg($pic['tmp_name']);
			break;

			case 'png' :

			case 'x-png' :
				$im = imagecreatefrompng($pic['tmp_name']);
				imagealphablending($im, true); // setting alpha blending on
				imagesavealpha($im, true); // save alphablending setting (important)				
			break;

			default :
				$im = false;
			break;
		endswitch;
		
		return $im;
	}
	
	function getExtension($type) {
	#echo $type; die();
	$ext = explode('/', $type);
	$ext = $ext[1];
	return $ext;
	} // getExtension	

}
?>