<?php
class ReviewsController extends AppController {

	var $name = 'Reviews';
	var $helpers = array('Html', 'Form');
	var $numberOfReviews = 5;
	
	function beforeFilter() {
		parent::beforeFilter();
		$this->set('numberOfReviews', $this->numberOfReviews);
	} // beforeFilter	

/*
	function index() {
		$this->Review->recursive = 0;
		$this->set('reviews', $this->paginate());
	}

	function view($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Review', true), array('action'=>'index'));
		}
		$this->set('review', $this->Review->read(null, $id));
	}
*/

	function add($id = null) {
		if (!$id) {
			$this->Session->setFlash(__('Invalid Restaurant', true));
			$this->redirect($this->referer());
		}	
		
		if(($id != $this->me['User']['restaurant_id']) && !$this->me['User']['admin']) :
			$this->Session->setFlash('You may not edit restaurants other than your own.', true);
			$this->redirect(array('controller' => 'pages', 'action' => 'display', 'home'));
		endif;	
		
		$this->Restaurant->recursive = -1;
		$restaurant = $this->Restaurant->read(null, $id);		
		$restaurant_id = $restaurant['Restaurant']['id'];			

		$this->Review->recursive = -1;
		$count = $this->Review->Find('count', array('conditions' => 'Review.restaurant_id = '. $restaurant_id));

		if($count >= $this->numberOfReviews) :
			$this->Session->setflash('You can have five reviews at a time.', true, array('class' => 'error'));
			$this->redirect(array('controller' => 'reviews', 'action' => 'restaurant', $restaurant_id));			
		endif;
		
		if (!empty($this->data)) {
			$this->Review->create();
			if ($this->Review->save($this->data)) {
				$this->Session->setflash('Review saved.', true, array('class' => 'success'));
				$this->redirect(array('controller' => 'reviews', 'action' => 'restaurant', $restaurant_id));
			} else {
			}
		}
		$restaurants = $this->Review->Restaurant->find('list');
		$this->set(compact('restaurants'));
		$this->set('no_search', true);
		$this->set('restaurant_id', $restaurant_id);
	}

	function edit($restaurant_id = null, $id = null) {
		if ((!$id && empty($this->data)) || !$restaurant_id) {
			$this->Session->setflash('Invalid Review', true, array('class' => 'error'));
			$this->redirect(array('controller' => 'reviews', 'action' => 'restaurant', $restaurant_id));			
		}
		if (!empty($this->data)) {
			if ($this->Review->save($this->data)) {
				$this->Session->setflash('Review successfully saved', true, array('class' => 'success'));
				$this->redirect(array('controller' => 'reviews', 'action' => 'restaurant', $restaurant_id));
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Review->read(null, $id);
		}
		$restaurants = $this->Review->Restaurant->find('list');
		$this->set(compact('restaurants'));
		$this->set('no_search', true);
		$this->set('restaurant_id', $id);
	}

	function delete($restaurant_id = null, $id = null) {
		if (!$id || !$restaurant_id) {
			$this->Session->setflash('Invalid Review', true, array('class' => 'error'));
			$this->redirect(array('controller' => 'reviews', 'action' => 'restaurant', $restaurant_id));			
		}

		$this->Review->recursive = -1;
		$review = $this->Review->Read(null, $id);

		if(($this->me['User']['restaurant_id'] != $review['Review']['restaurant_id']) && !$this->me['User']['admin']) :
			$this->Session->setflash('You can only delete your own reviews', true, array('class' => 'error'));
			$this->redirect(array('controller' => 'reviews', 'action' => 'restaurant', $restaurant_id));		
		endif;
		
		if ($this->Review->del($id)) {
			$this->Session->setflash('Review successfully deleted.', true, array('class' => 'success'));
			$this->redirect(array('controller' => 'reviews', 'action' => 'restaurant', $restaurant_id));
		}
	} // delete
	
	function restaurant($id = null) {
		if(!$id) :
			$this->Session->setFlash('Invalid Restaurant', true, array('class' => 'error'));
		endif;
		if(($id != $this->me['User']['restaurant_id']) && !$this->me['User']['admin']) :
			$this->Session->setFlash('You may not edit restaurants other than your own.', true);
			$this->redirect(array('controller' => 'pages', 'action' => 'display', 'home'));
		endif;
		
		$conditions = array('Review.restaurant_id = ' . $id);
		$reviews = $this->Restaurant->Review->find('all', array('conditions' => $conditions));
		
		$this->set(compact('reviews'));
		$this->set('no_search', true);
		$this->set('restaurant_id', $id);
	} // restaurant	

	function admin_index() {
		$this->Review->recursive = 0;
		$this->set('reviews', $this->paginate());
	}

	function admin_view($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Review', true), array('action'=>'index'));
		}
		$this->set('review', $this->Review->read(null, $id));
	}

	function admin_add() {
		if (!empty($this->data)) {
			$this->Review->create();
			if ($this->Review->save($this->data)) {
				$this->flash(__('Review saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		$restaurants = $this->Review->Restaurant->find('list');
		$this->set(compact('restaurants'));
	}

	function admin_edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->flash(__('Invalid Review', true), array('action'=>'index'));
			exit();
		}
		if (!empty($this->data)) {
			if ($this->Review->save($this->data)) {
				$this->flash(__('The Review has been saved.', true), array('action'=>'index'));
				exit();
			} else {
			}
		}
		if (empty($this->data)) {
			$this->data = $this->Review->read(null, $id);
		}
		$restaurants = $this->Review->Restaurant->find('list');
		$this->set(compact('restaurants'));
	}

	function admin_delete($id = null) {
		if (!$id) {
			$this->flash(__('Invalid Review', true), array('action'=>'index'));
		}
		if ($this->Review->del($id)) {
			$this->flash(__('Review deleted', true), array('action'=>'index'));
		}
	}

}
?>