<?php
class SearchController extends AppController {

	var $name = 'Search';
	var $components = array('RequestHandler');	
	var $helpers = array('Html', 'Form', 'Text');
	var $uses = array('Restaurant');
    var $paginate = array(
        'fields' => 'DISTINCT *'
	    );
	
	function beforeFilter() {
		parent::beforeFilter();	
		$this->Auth->allow('*');
		$this->paginate['Restaurant']['limit'] = 10;		
	} // beforeFilter	

	function index() {
	}
	
	function admin_results() {
		$this->results();
	}

	function results() {
		//$this->set('restaurants', $this->params);
		if(!empty($this->data['es'])) :
			$this->params['named']['es'] = $this->data['es'];
		endif;		
		
		if(!empty($_POST['es'])) :
			$this->params['named']['es'] = $_POST['es'];		
		endif;
		
		if(!isset($this->params['named']['es']) || $this->params['named']['es'] == '') $this->params['named']['es'] = ' ';
	
		if(!empty($this->params['named']['es'])) :
			# this should sanitize data, but i don't know how to do it	
			# it should also strip things like "the" maybe? 
			$s = str_replace(',', '', $this->params['named']['es']);
			
			App::import('Sanitize');	
			$s = Sanitize::escape($s);		
			
			$restaurantIds = $this->Restaurant->search($s);
			
			$where = array();
			if(sizeof($restaurantIds)) :
				$ids = implode(',', $restaurantIds);
				$where = 'Restaurant.id IN (' . $ids . ')';			
			endif;
			
			if($this->layoutPath == 'json') :
				$restaurants = $this->Restaurant->find('all', array('conditions' => $where));
				$this->set('restaurants', $restaurants);
			else :
				if(sizeof($restaurantIds) > 0) :
					$this->Restaurant->RestaurantsTag->Tag->recursive = -1;
					$this->paginate['Restaurant']['contain'] = array('Package', 'Cuisine', 'Tag');
					$this->paginate['Restaurant']['order'] = 'FIELD(Restaurant.id, ' . $ids . ')';
					$this->set('restaurants', $this->paginate('Restaurant', array($where))); 			
				else :
					$this->set('restaurants', array());
				endif;
				
			endif;
		
			$this->set('search_content', $this->params['named']['es']);
		endif;
	}

}
?>