<?php
class UsersController extends AppController {

	var $name = 'Users';
	var $helpers = array('Html', 'Form');
	
	function beforeFilter() {
		parent::beforeFilter();	
	} // beforeFilter	
	
    function login() {
		$user = $this->Auth->User();
		#redirect based on your user level
		if($user) :
			if($user['User']['admin']) :
				$this->redirect(array('controller' => 'dashboard', 'action' => 'index', 'admin' => true));
			else :
				$this->redirect(array('controller' => 'restaurants', 'action' => 'edit', 'admin' => false, $user['User']['restaurant_id']));		
			endif;
		endif;
		$this->set('no_search', true);
    } // login

    function logout() {
        $this->redirect($this->Auth->logout());
    } // logout

	// function view($id = null) {
	// 	if (!$id) {
	// 		$this->Session->setFlash(__('Invalid User.', true));
	// 		$this->redirect(array('action'=>'index'));
	// 	}
	// 	$this->set('user', $this->User->read(null, $id));
	// }
	// 
	// function add() {
	// 	if (!empty($this->data)) {
	// 		$this->User->create();
	// 		if ($this->User->save($this->data)) {
	// 			$this->Session->setFlash(__('The User has been saved', true));
	// 			$this->redirect(array('action'=>'index'));
	// 		} else {
	// 			$this->Session->setFlash(__('The User could not be saved. Please, try again.', true));
	// 		}
	// 	}
	// }

	function edit($id = null) {
		$myId = $this->Auth->user('id');
		if ((!$id && empty($this->data)) || ($myId != $id)) {
			$this->Session->setFlash(__('Invalid User', true));
			$this->redirect(array('action'=>'index'));
		}
		if (!empty($this->data)) {
			if ($this->User->save($this->data)) {
				$this->Session->setFlash(__('The User has been saved', true));
				$this->redirect($this->refer);
			} else {
				$this->Session->setFlash(__('The User could not be saved. Please, try again.', true));
			}
		}
		if (empty($this->data)) {
			$this->data = $this->User->read(null, $id);
		}
	
		$this->set('no_search', true);
	}

	// function delete($id = null) {
	// 	if (!$id) {
	// 		$this->Session->setFlash(__('Invalid id for User', true));
	// 		$this->redirect(array('action'=>'index'));
	// 	}
	// 	if ($this->User->del($id)) {
	// 		$this->Session->setFlash(__('User deleted', true));
	// 		$this->redirect(array('action'=>'index'));
	// 	}
	// }


	function admin_index() {
		$this->User->recursive = 0;
		$this->set('users', $this->paginate());
	}

	function admin_view($id = null) {
		if (!$id) {
			$this->Session->setFlash(__('Invalid User.', true));
			$this->redirect(array('action'=>'index'));
		}
		$this->set('user', $this->User->read(null, $id));
	}

	function admin_add() {
		if (!empty($this->data)) {
			$this->User->create();
			if ($this->User->save($this->data)) {
				$this->Session->setFlash('The User has been saved', true, array('class' => 'success'));
				$this->redirect(array('action'=>'index'));
			} else {
				$this->Session->setFlash('The User could not be saved. Please, try again.', true, array('class' => 'error'));
				//if($this->data['User']['password'] == Security::hash('', null, true)) :
					unset($this->data['User']['password']);
				//endif;
				
			}
		}
		
		$this->set('restaurants', $this->User->Restaurant->find('list'));				
	}

	function admin_edit($id = null) {
		if (!$id && empty($this->data)) {
			$this->Session->setFlash(__('Invalid User', true));
			$this->redirect(array('action'=>'index'));
		}
		if (!empty($this->data)) {
			if ($this->User->save($this->data)) {
				$this->Session->setFlash('The User has been saved', true, array('class' => 'success'));
				$this->redirect(array('action'=>'index'));
			} else {
				$this->Session->setFlash('The User could not be saved. Please, try again.', true, array('class' => 'success'));
			}
		}
		if (empty($this->data)) {
			$this->data = $this->User->read(null, $id);
		}
		
		$this->set('restaurants', $this->User->Restaurant->find('list'));		
	}

	function admin_delete($id = null) {
		if (!$id) {
			$this->Session->setFlash('Invalid id for User', true, array('class' => 'error'));
			$this->redirect(array('action'=>'index'));
		}
		if ($this->User->del($id)) {
			$this->Session->setFlash('User deleted', true, array('class' => 'success'));
			$this->redirect(array('action'=>'index'));
		}
	}

}
?>
<?php
// class UsersController extends AppController {
// 
// 	var $name = 'Users';
// 	var $helpers = array('Html', 'Form');
// 
// 	function login() {
// 		if (!empty($this->data)) {
// 			$this->cleanUpFields();
// 			$this->simpleauth->login($this->data['User']['email'], $this->data['User']['password'], $this->data['User']['remember']);
// 			$this->redirect('/admin/restaurants/');
// 		} else {
// 			if($this->simpleauth->is_logged_in()) {
// 				$this->redirect('/admin/restaurants/');
// 				exit;
// 			}
// 			$this->pageTitle = "Login";
// 			$this->render();
// 		}
// 	}
// 
// 	function logout() {
// 		$this->simpleauth->logout();
// 		$this->redirect('/users/login');
// 	}
// 
// 	function admin_changepassword($id = null) {
// 		if (!$id && empty($this->data)) {
// 			$this->flash('Invalid User', array('action'=>'index'));
// 			exit();
// 		}
// 		if (!empty($this->data)) {
// 			$this->cleanUpFields();
// 			if ($this->User->save($this->data)) {
// 				$this->flash('The password has been changed.', array('action'=>'index'));
// 				exit();
// 			} else {
// 			}
// 		}
// 		if (empty($this->data)) {
// 			$this->data = $this->User->read(null, $id);
// 		}
// 	}
// 
// 	function admin_index() {
// 		$this->User->recursive = 0;
// 		$this->set('users', $this->paginate());
// 	}
// 
// 	function admin_view($id = null) {
// 		if (!$id) {
// 			$this->flash(__('Invalid User', true), array('action'=>'index'));
// 		}
// 		$this->set('user', $this->User->read(null, $id));
// 	}
// 
// 	function admin_add() {
// 		if (!empty($this->data)) {
// 			$this->User->create();
// 			if ($this->User->save($this->data)) {
// 				$this->flash(__('User saved.', true), array('action'=>'index'));
// 				exit();
// 			} else {
// 			}
// 		}
// 	}
// 
// 	function admin_edit($id = null) {
// 		if (!$id && empty($this->data)) {
// 			$this->flash(__('Invalid User', true), array('action'=>'index'));
// 			exit();
// 		}
// 		if (!empty($this->data)) {
// 			if ($this->User->save($this->data)) {
// 				$this->flash(__('The User has been saved.', true), array('action'=>'index'));
// 				exit();
// 			} else {
// 			}
// 		}
// 		if (empty($this->data)) {
// 			$this->data = $this->User->read(null, $id);
// 		}
// 	}
// 
// 	function admin_delete($id = null) {
// 		if (!$id) {
// 			$this->flash(__('Invalid User', true), array('action'=>'index'));
// 		}
// 		if ($this->User->del($id)) {
// 			$this->flash(__('User deleted', true), array('action'=>'index'));
// 		}
// 	}
// 
// }
// ?>