<?php
class Area extends AppModel {

	var $name = 'Area';
	var $useTable = 'areas';
	var $order = 'Area.name ASC';	
	var $actsAs = array('Sluggable' => array('label' => 'name')); 

	//The Associations below have been created with all possible keys, those that are not needed can be removed
	var $hasMany = array(
			'Restaurant' => array('className' => 'Restaurant',
								'foreignKey' => 'area_id',
								'dependent' => false,
								'conditions' => '',
								'fields' => '',
								'order' => '',
								'limit' => '',
								'offset' => '',
								'exclusive' => '',
								'finderQuery' => '',
								'counterQuery' => ''
			)
	);

	public $validate = array(
		'name' => array(
			'required' => array(
				'rule' => array('between', 3, 100),				
				'required' => true,	
				'allowEmpty' => false,
				'message' => 'Name must be between 3 to 100 characters'
			)			
		)
	);
	
function weights() {
	$sql = '
		SELECT Area.*, count(*) as count
		FROM restaurants as Restaurant
		LEFT JOIN areas as Area ON Area.id = Restaurant.area_id
		GROUP BY area_id
		ORDER BY Area.name ASC';
	$results = $this->query($sql);

	if(sizeof($results) > 0) :
		$areas = array();
		foreach($results as $area) :
			$area['Area']['count'] = $area[0]['count'];
			unset($area[0]);		
			$areas[] = $area;		
		endforeach;
		return $areas;
	else :
		return false;
	endif;
} // weights	

}
?>