<?php
class Cuisine extends AppModel {

	var $name = 'Cuisine';
	var $useTable = 'cuisines';
	var $order = 'Cuisine.name ASC';
	var $actsAs = array('Sluggable' => array('label' => 'name')); 		

	//The Associations below have been created with all possible keys, those that are not needed can be removed
	var $hasMany = array(
			'Restaurant' => array('className' => 'Restaurant',
								'foreignKey' => 'cuisine_id',
								'dependent' => false,
								'conditions' => '',
								'fields' => '',
								'order' => '',
								'limit' => '',
								'offset' => '',
								'exclusive' => '',
								'finderQuery' => '',
								'counterQuery' => ''
			)
	);
	
	public $validate = array(
		'name' => array(
			'required' => array(
				'rule' => array('between', 3, 100),				
				'required' => true,	
				'allowEmpty' => false,
				'message' => 'Name must be between 3 to 100 characters'
			)			
		)
	);
	
	function weights() {
		$sql = '
			SELECT Cuisine.*, count(*) as count
			FROM restaurants as Restaurant
			LEFT JOIN cuisines as Cuisine ON Cuisine.id = Restaurant.cuisine_id
			GROUP BY cuisine_id
			ORDER BY Cuisine.name ASC';
		$results = $this->query($sql);
	
		if(sizeof($results) > 0) :
			$cuisines = array();
			foreach($results as $cuisine) :
				$cuisine['Cuisine']['count'] = $cuisine[0]['count'];
				unset($cuisine[0]);		
				$cuisines[] = $cuisine;		
			endforeach;
			return $cuisines;
		else :
			return false;
		endif;
	} // weights	

}
?>