<?php
class User extends AppModel {

	var $name = 'User';

	//The Associations below have been created with all possible keys, those that are not needed can be removed
	var $belongsTo = array(
			'Restaurant' => array('className' => 'Restaurant',
								'foreignKey' => 'restaurant_id',
								'conditions' => '',
								'fields' => '',
								'order' => ''
			),
	);
	
	function beforeValidate() {
		if(isset($this->data['User']['id']) && ($this->data['User']['password'] == '')) :
			unset($this->validate['password']);
			return true;
		endif;
	
		$this->data['User']['password_confirm'] = Security::hash($this->data['User']['password_confirm'], null, true); 		
		
		return true;		
	} // beforeValidate	
	
	function beforeSave() {
		# combine the names
		$this->data['User']['name'] = $this->data['User']['first_name'] . ' ' . $this->data['User']['last_name'];
		# unset blank passwords
		if($this->data['User']['password'] == '' || $this->data['User']['password'] == Security::hash('', null, true)) :
			unset($this->data['User']['password']);
		endif;
		return true;
	} // beforeSave
	
	var $validate = array(
	    'first_name' => array(
	        'rule' => 'notEmpty',
	        'message' => 'First name is required.'
	    ),
		'last_name' => array(
			'rule' => 'notEmpty',
			'message' => 'Last name is required.'
		),
		'email' => array(
			'email' => array(
				'rule' => array('email', true),
				'message' => 'Please use a valid email address.'
			),
			'required' => array(
				'rule' => 'notEmpty',
				'message' => 'Email is required.'
			),
			'unique' => array(
				'rule' => 'isUnique',
				'message' => 'This email alreay exists.'
			)			
		),
		'password' => array(
			'required' => array(
				'rule' => 'notEmpty',
				'message'
			),
			'minLength' => array(
				'rule' => array('minLength', 4),
				'message' => 'Passwords must be at least four characters long'
			),
			'match' => array(
				'rule' => array('v_passwordMatch', 'password_confirm'),
				'message' => 'Passwords must match'
			)
		)
	);	
	
	function v_passwordMatch($data, $password_confirm) {
		if($data['password'] != $this->data[$this->alias][$password_confirm]) {  
			$this->invalidate($password_confirm, 'Passwords must match');  
			return false;  
		}   

		return true;		
	} // v_passwordMatch	
}
?>