SearchMapContainer = $.klass(MapContainer, {
	loadMapData: function() {
		var slug = $('#RestaurantSlug').val();
		var self = this;
		$.post("/eats/restaurants/view/" + slug + ".json", {}, function(restaurant){
			$(restaurant).data('Point', {
				'lat': restaurant.Restaurant.lat,
				'lon': restaurant.Restaurant.lon,					
				'text': self.buildInfoWindow(restaurant)
			});
			self.plotPointsJSON(restaurant);
			map.set_zoom(map.get_zoom() - 3);			
		}, 'json');		
	}
}); // SearchMapContainer

// ----------------------------------------------------------------------------

Rating = $.klass({
	initialize: function() {},
	onmouseover: function (e) {
		if(!$(this.element).hasClass('disabled')) {
			this.activate($($(e.target).parent()));
		}
	},
	onmouseout: function(e) {
		if(!$(this.element).hasClass('disabled')) {		
			this.deactivate($($(e.target).parent()));
		}
	},
	onmouseleave: function(e) {
		if(!$(this.element).hasClass('disabled')) {		
			this.deactivateAll();
		}
	},
	onclick: function(e) {
		if(!$(this.element).hasClass('disabled')) {
		// disable clicker and set styles
			$(this.element).addClass('disabled');
			this.clearSystemRating();
			var text = $($(this.element).prev());
			text.text('your rating:');
			text.css({'color' : '#807B65'});
		
		// ajax rating
			var slug = $('#RestaurantSlug').val();
			var rating = this._getRating(e.target);
			
			$.post("/eats/restaurants/rate/" + slug + "/" + rating, {}, function(response){
				
			});		
		}
	},
	activate: function(e) {
		e.css({'background-color': '#807B65'});
		
		var prevs = e.prevAll();
		$.each(prevs, function () {
			$(this).css({'background-color': '#807B65'});
		});
	},
	deactivate: function(e) {
		this._blank(e);
		
		var nexts = e.nextAll();
		var self = this;		
		$.each(nexts, function() {
			self._blank(this);
		});		
	},
	deactivateAll: function() {
		var all = $(this.element).find('li');
		
		var self = this;		
		$.each(all, function() {
			self._blank(this);
		});
	},
	clearSystemRating: function() {
		this._blank($(this.element).find('div'));
	},
	_blank: function(e) {
		$(e).css({'background-color': 'transparent'});
	},
	_getRating: function(e) {
		var li = $($(e).parent());
		
		if(li.hasClass('r1')) {
			return 1;
		} else if (li.hasClass('r2')) {
			return 2;
		} else if (li.hasClass('r3')) {
			return 3;
		} else if (li.hasClass('r4')) {
			return 4;
		} else if (li.hasClass('r5')) {
			return 5;												
		}
	}
});

// ----------------------------------------------------------------------------

function markAsInaccurate(slug, e) {	
	e.addClass('disabled');	
	$.post("/eats/restaurants/inaccurate/" + slug, {}, function(response){

	});
} // markAsInaccurate

// ----------------------------------------------------------------------------

$(document).ready( function() {
	$('#mapContainer').attach(SearchMapContainer);	
	$('.eatsRating').attach(Rating);		

	$('.inaccurate').click(function() {		
		if(!$(this).hasClass('disabled')) {
			var self = $(this);
			markAsInaccurate($('#RestaurantSlug').val(), self);
			return false;
		}
		return false;
	});	
});