var map;

Mapping = $.klass({
	createMap: function(id) {
		id = id || "map";
		var latlng = new google.maps.LatLng(37.538693290693175,-77.497071978717742);
		var myOptions = {
			zoom: 11,
			center: latlng,
			mapTypeId: google.maps.MapTypeId.ROADMAP
		};
		map = new google.maps.Map(document.getElementById(id), myOptions);		
	},
	plotPointsJSON: function(points) {
		var bounds = new google.maps.LatLngBounds();

		// package single point into an array.
		points = jQuery.makeArray(points);

		// iterate through the points and plot them w/ info windows
		$.each(points, function() {
			var lat = $(this).data('Point').lat;
			var lon = $(this).data('Point').lon;		
			var text = $(this).data('Point').text;		

			var point = new google.maps.LatLng(lat, lon);
			bounds.extend(point); // extend the bounds with the new point
			var infowindow = new google.maps.InfoWindow({
				content: text,
				size: new google.maps.Size(50,50)
			});

			var marker = new google.maps.Marker({
				position: point, 
				map: map, 
				title: text
			}); 
			google.maps.event.addListener(marker, 'click', function() {
				infowindow.open(map,marker);
			});
		});	

		// zoom to bounds
		map.fitBounds(bounds);		
	},
	geocode: function(address, callback) {
		var gcoder = new google.maps.Geocoder();
		gcoder.geocode({address: address}, callback);		
	}
});

// function createMap(id) {
// 	id = id || "map";
// 	var latlng = new google.maps.LatLng(37.538693290693175,-77.497071978717742);
// 	var myOptions = {
// 		zoom: 11,
// 		center: latlng,
// 		mapTypeId: google.maps.MapTypeId.ROADMAP
// 	};
// 	map = new google.maps.Map(document.getElementById(id), myOptions);
// }
// 
// function plotPointsJSON(points) {
// 	
// 	var bounds = new google.maps.LatLngBounds();
// 	
// 	// package single point into an array.
// 	points = jQuery.makeArray(points);
// 	
// 	// iterate through the points and plot them w/ info windows
// 	$.each(points, function() {
// 		var lat = $(this).data('Point').lat;
// 		var lon = $(this).data('Point').lon;		
// 		var text = $(this).data('Point').text;		
// 
// 		var point = new google.maps.LatLng(lat, lon);
// 		bounds.extend(point); // extend the bounds with the new point
// 		var infowindow = new google.maps.InfoWindow({
// 			content: text,
// 			size: new google.maps.Size(50,50)
// 		});
// 	
// 		var marker = new google.maps.Marker({
// 			position: point, 
// 			map: map, 
// 			title: text
// 		}); 
// 		google.maps.event.addListener(marker, 'click', function() {
// 			infowindow.open(map,marker);
// 		});
// 	});	
// 
// 	// zoom to bounds
// 	map.fitBounds(bounds);
// }
// 
// function geocode(address, callback) {
// 	var gcoder = new google.maps.Geocoder();
// 	gcoder.geocode({address: address}, callback);	
// }