// Shared Mapingp functions ====================================================
//==============================================================================

// createMarker ------------------------------------------------------------
	function createMarker(point, html) {
		var icon = new GIcon();
		icon.image = "/img/point-orange.png";
		icon.iconSize = new GSize(12, 20);
		icon.shadowSize = new GSize(22, 20);
		icon.iconAnchor = new GPoint(6, 20);
		icon.infoWindowAnchor = new GPoint(5, 1);	
		
		var m = new GMarker(point, icon);
		if(html) {
			GEvent.addListener(m, "click", function() {
				m.openInfoWindowHtml(html);			
			});
		}
		
		return m;
	} // createMarker 
	
// createRestaurantMarkerHTML -----------------------------------------------
	function createRestaurantMarkerHTML(r) {
		var name = r.getElementsByTagName('name');
		name = GXml.value(name[0]);
		
		var html = '<h3>' + name + '</h3>';
		return html;
	} // createRestaurantMarkerHTML
	
// getCircleBounds -----------------------------------------------------------
function getCircleBounds(p, r) {
	var bounds = new GLatLngBounds();
	var radius = r * 1.609344;
	
	var latConv = Number(p.distanceFrom(new GLatLng(Number(p.lat())+0.1, p.lng()))/100);
	var lngConv = Number(p.distanceFrom(new GLatLng(p.lat(), Number(p.lng())+0.1))/100);
	
	//Loop 
	var step = parseInt(360/4)||10;
	for(var i=0; i<=360; i+=step)	{
		var pint = new GLatLng(p.lat() + (radius/latConv * Math.cos(i * Math.PI/180)), Number(p.lng()) + (radius/lngConv * Math.sin(i * Math.PI/180)));		
		bounds.extend(pint);
	}	

	return(bounds);
} //getCircleBounds

// drawCircle ---------------------------------------------------------------
function drawCircle(point, radius) {
	return __dc(point, radius * 1.609344, 50);
} //drawCircle

// __dc ---------------------------------------------------------------------
function __dc(center, radius, nodes, liColor, liWidth, liOpa, fillColor, fillOpa) {
	//calculating km/degree
	var latConv = Number(center.distanceFrom(new GLatLng(Number(center.lat())+0.1, center.lng()))/100);
	var lngConv = Number(center.distanceFrom(new GLatLng(center.lat(), Number(center.lng())+0.1))/100);
	
	//Loop 
	var points = [];
	var step = parseInt(360/nodes)||10;
	for(var i=0; i<=360; i+=step)	{
		var pint = new GLatLng(center.lat() + (radius/latConv * Math.cos(i * Math.PI/180)), Number(center.lng()) + (radius/lngConv * Math.sin(i * Math.PI/180)));		
		points.push(pint);
	}
	fillColor = fillColor||liColor||"#0055ff";
	liWidth = liWidth||2;
	return poly = new GPolygon(points,liColor,liWidth,liOpa,fillColor,fillOpa);
} // __dc